Skip to main content
PATCH
/
v1
/
projects
/
{projectId}
/
snapshots
Update snapshots setting
curl --request PATCH \
  --url https://capy.ai/api/v1/projects/{projectId}/snapshots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true
}
'
{
  "enabled": true,
  "initialBuildId": "<string>",
  "reusedSnapshot": {
    "snapshotId": "<string>",
    "lane": "<string>"
  },
  "queuedBehindActiveBuild": true
}

Authorizations

Authorization
string
header
required

API token (capy_xxxx). Generate at capy.ai/settings/tokens

Path Parameters

projectId
string
required

Project ID.

Body

application/json
enabled
boolean
required

Response

Success

enabled
boolean
required
initialBuildId
string
reusedSnapshot
object
queuedBehindActiveBuild
boolean